Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.LTVVerifier Class Reference

## Public Member Functions
| AddDSS (signature_verify_result)
| Add the verify result (as VRI information) of a signature to the DSS. More...
| constructor (document, is_verify_signature, use_expired_tst, ignore_doc_info, time_type)
| Constructor, with parameters. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| SetCertChainResolverCallback (callback)
| Set a customized FSDK.CertChainResolverCallback object if user wants to supply extra certificates to complete the certificate chain. More...
| SetRevocationCallback (callback)
| Set a customized FSDK.RevocationCallback object. More...
| SetTrustedCertStoreCallback (callback)
| Set a customized FSDK.TrustedCertStoreCallback object if user wants to trust some certificates. More...
| SetVerifyMode (mode)
| Set the verifying mode to specify which validation process is to be used. More...
| Verify ()
| Verify all the signatures in the PDF document which is used to constructed current object. More...
| VerifySignature (signature)
| Verify the target signature in the PDF document which is used to constructed current object. More...

## Static Public Attributes
static | e_CurrentTime
| Use current time.
static | e_SignatureCreationTime
| Enumeration for time type. More...
static | e_SignatureTSTTime
| Use the time of signature time stamp token.
static | e_VerifyModeAcrobat
| Enumeration for verifying mode. More...
static | e_VRICreationTime
| Use the creation time of VRI dictionary of a signature. More...

## Detailed Description

LTV verifier is used to verify signature in LTV work flow. Before use this class to verify signature(s), please ensure verify mode has been set by function FSDK.LTVVerifier.SetVerifyMode.
Foxit PDF SDK has a default revocation callback for LTV verifier. If user wants to use customized revocation callback, please refer to function FSDK.LTVVerifier.SetRevocationCallback.
If user wants to trust some certificates, please refer to function FSDK.LTVVerifier.SetTrustedCertStoreCallback.

## Member Function Documentation

## ◆ AddDSS()

FSDK.LTVVerifier.AddDSS | ( | signature_verify_result |  | ) |

Add the verify result (as VRI information) of a signature to the DSS.

Parameters

  [in] | signature_verify_result | A signature verify result to be added to DSS.

Returns
  None.

## ◆ constructor()

FSDK.LTVVerifier.constructor | ( | document | ,
|  | is_verify_signature | ,
|  | use_expired_tst | ,
|  | ignore_doc_info | ,
|  | time_type |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | document | A valid PDF document object.
  [in] | is_verify_signature | (Only available for FSDK.LTVVerifier.e_VerifyModeAcrobat) Use to decide whether to verify signature validity when verifying signature or not.
  [in] | use_expired_tst | (Only available for FSDK.LTVVerifier.e_VerifyModeAcrobat) Use to decide whether to use expired TST to verify signature or not.
  [in] | ignore_doc_info | (Only available for FSDK.LTVVerifier.e_VerifyModeAcrobat) Use to decide whether to ignore the revocation information in DSS and signature or not.
  [in] | time_type | (Only available for FSDK.LTVVerifier.e_VerifyModeAcrobat) Use to speicify the time type which is expected to be used for verifying. Please refer to values starting from FSDK.LTVVerifier.e_SignatureCreationTime and this should be one of these values except FSDK.LTVVerifier.e_VRICreationTime.

## ◆ IsEmpty()

FSDK.LTVVerifier.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetCertChainResolverCallback()

FSDK.LTVVerifier.SetCertChainResolverCallback | ( | callback |  | ) |

Set a customized FSDK.CertChainResolverCallback object if user wants to supply extra certificates to complete the certificate chain.

Parameters

  [in] | callback | A customized cert chain resolver callback object, which is implemented based on callback class FSDK.CertChainResolverCallback. This can be set to NULL which means not to use it.

Returns
  None.

Note
  Only available when using the default internal revocation callback of Foxit PDF SDK.

## ◆ SetRevocationCallback()

FSDK.LTVVerifier.SetRevocationCallback | ( | callback |  | ) |

Set a customized FSDK.RevocationCallback object.

If no customized revocation callback is set by this function, Foxit PDF SDK will use a default one.

Parameters

  [in] | callback | A customized revocation callback object, which is implemented based on callback class FSDK.RevocationCallback. This should not be null.

Returns
  None.

## ◆ SetTrustedCertStoreCallback()

FSDK.LTVVerifier.SetTrustedCertStoreCallback | ( | callback |  | ) |

Set a customized FSDK.TrustedCertStoreCallback object if user wants to trust some certificates.

If no trusted cert store callback object is set by this function, no certificate will be trusted during verifying process.

Parameters

  [in] | callback | A customized trusted cert store callback object, which is implemented based on callback class FSDK.TrustedCertStoreCallback. This can be set to null which means not to use it.

## ◆ SetVerifyMode()

FSDK.LTVVerifier.SetVerifyMode | ( | mode |  | ) |

Set the verifying mode to specify which validation process is to be used.

Please ensure to set the verify mode before doing verifying.

Parameters

  [in] | mode | The verify mode used for express verify process. Please refer to values starting from FSDK.LTVVerifier.e_VerifyModeAcrobat and this should be one of these values.

Returns
  None.

## ◆ Verify()

FSDK.LTVVerifier.Verify | ( |  | ) |

Verify all the signatures in the PDF document which is used to constructed current object.

If verify mode is FSDK.LTVVerifier.e_VerifyModeAcrobat, the verifying process will stop immediately when fail to verify any signature and return verify results for successfully verified signatures only. If verify mode is not FSDK.LTVVerifier.e_VerifyModeAcrobat, all the signatures will be verified and return verify results for all the signatures.

Returns
  An array of signature verify results.

## ◆ VerifySignature()

FSDK.LTVVerifier.VerifySignature | ( | signature |  | ) |

Verify the target signature in the PDF document which is used to constructed current object.

Parameters

  [in] | signature | Target signature to be verified. If verify mode is FSDK.LTVVerifier.e_VerifyModeAcrobat, this function will verify signatures until target signature. If verify mode is not FSDK.LTVVerifier.e_VerifyModeAcrobat, this function will only verify target signature.

Returns
  An array of signature verify result.

## Member Data Documentation

## ◆ e_SignatureCreationTime

FSDK.LTVVerifier.e_SignatureCreationTime
| static

Enumeration for time type.

Values of this enumeration should be used alone.

Use signature creation time.

## ◆ e_VerifyModeAcrobat

FSDK.LTVVerifier.e_VerifyModeAcrobat
| static

Enumeration for verifying mode.

Values of this enumeration should be used alone.

Use Acrobat validation process.

## ◆ e_VRICreationTime

FSDK.LTVVerifier.e_VRICreationTime
| static

Use the creation time of VRI dictionary of a signature.

Note
  VRI means "validation-related information".